## GOPersist

GOPersist

## Synopsis

                        GOPersist;
    gboolean            go_persist_dom_load                 (GOPersist *gp,
                                                             xmlNode *node);
    void                go_persist_sax_save                 (GOPersist const *gp,
                                                             GsfXMLOut *output);
    void                go_persist_prep_sax                 (GOPersist *gp,
                                                             GsfXMLIn *xin,
                                                             xmlChar const **attrs);
    #define             GO_PARAM_PERSISTENT

## Object Hierarchy

      GInterface
       +----GOPersist

## Known Implementations

GOPersist is implemented by GOStyle, GogErrorBar and GODistribution.

## Description

## Details

### GOPersist

    typedef struct _GOPersist GOPersist;

### go_persist_dom_load ()

    gboolean            go_persist_dom_load                 (GOPersist *gp,
                                                             xmlNode *node);

`gp` : |
`node` : |
Returns : |

### go_persist_sax_save ()

    void                go_persist_sax_save                 (GOPersist const *gp,
                                                             GsfXMLOut *output);

`gp` : |
`output` : |

### go_persist_prep_sax ()

    void                go_persist_prep_sax                 (GOPersist *gp,
                                                             GsfXMLIn *xin,
                                                             xmlChar const **attrs);

`gp` : |
`xin` : |
`attrs` : |

### GO_PARAM_PERSISTENT

    #define GO_PARAM_PERSISTENT	(1 << (G_PARAM_USER_SHIFT+0))